Create transcription
/api/v1/transcriptionsTranscribes a time range with word-level timestamps. Pass either video_url for a YouTube video or s3_key for media already in Mager storage.
Authorization
MagerApiKey Mager API key
In: header
Header Parameters
Mager API key
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/transcriptions" \ -H "x-mager-api-key: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ", "start_time": "00:00:00", "end_time": "00:10:00", "quality": 720 }'{ "status": 201, "message": "Success", "data": { "task_id": "cmclip01hxyz123", "status": "running", "model": null, "template_id": null, "callback_url": "https://client.example.com/webhooks/mager", "created_at": "2026-08-14T06:00:00.000Z", "updated_at": "2026-08-14T06:00:00.000Z", "completed_at": null, "error": null, "billing": { "base_moods": 1, "charged_moods": 2, "extra_moods_charged": 2 }, "output": null, "result": [], "webhooks": [] }}